Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1691829 - Cannot install xinetd-2:2.3.15-29.fc30 due to conflicts [NEEDINFO]
Summary: Cannot install xinetd-2:2.3.15-29.fc30 due to conflicts
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: xinetd
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-22 15:39 UTC by Lukas Slebodnik
Modified: 2019-03-23 20:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
lslebodn: needinfo? (pbrobinson)


Attachments (Terms of Use)

Description Lukas Slebodnik 2019-03-22 15:39:14 UTC
Description of problem:
The recent update of xinetd in f30 broke installation.

Version-Release number of selected component (if applicable):
xinetd-2:2.3.15-29.fc30.x86_64

How reproducible:
Deterministic

Steps to Reproduce:
1. dnf install -y xinetd

Actual results:
[root@297cf188ac57 /]# dnf install -y xinetd
Last metadata expiration check: 0:30:52 ago on Fri 22 Mar 2019 03:04:10 PM UTC.
Dependencies resolved.
================================================================================
 Package      Architecture Version                  Repository             Size
================================================================================
Installing:
 xinetd       x86_64       2:2.3.15-29.fc30         updates-testing       121 k

Transaction Summary
================================================================================
Install  1 Package

Total size: 121 k
Installed size: 364 k
Downloading Packages:
[SKIPPED] xinetd-2.3.15-29.fc30.x86_64.rpm: Already downloaded                 
Running transaction check
Transaction check succeeded.
Running transaction test
The downloaded packages were saved in cache until the next successful transaction.
You can remove cached packages by executing 'dnf clean packages'.
Error: Transaction check error:
  file /etc/xinetd.d from install of xinetd-2:2.3.15-29.fc30.x86_64 conflicts with file from package filesystem-3.10-1.fc30.x86_64

Error Summary
-------------

Expected results:
Package installed without any problem

Additional info:
https://src.fedoraproject.org/rpms/xinetd/c/1183e1fae147c435b239ab29b0a2749d3013e236?branch=f30

Comment 1 Lukas Slebodnik 2019-03-22 15:40:52 UTC
Could you explain that change?

Or do you plan to change that in the filesystem package

Comment 2 Peter Robinson 2019-03-22 18:18:09 UTC
Bug already filed for filesystem package: https://bugzilla.redhat.com/show_bug.cgi?id=1691146

Comment 3 Lukas Slebodnik 2019-03-23 01:51:07 UTC
(In reply to Peter Robinson from comment #2)
> Bug already filed for filesystem package:
> https://bugzilla.redhat.com/show_bug.cgi?id=1691146

But that is not ideal coordination?
Is there any reason why both packages were not updated at once ?
ATM I would need to rewrite bunch of test because there is not combined bodhi update.

Comment 4 Lukas Slebodnik 2019-03-23 20:49:38 UTC
Could you please unpush https://bodhi.fedoraproject.org/updates/FEDORA-2019-9ec9fdb43c?


Note You need to log in before you can comment on or make changes to this bug.